#!/bin/bash

# blind somewhere
export BLUETOOTH_ADDRESS_BLIND_01="11:22:33:44:55:11"
export FINAL_LOW_POSITION_01=98

# blind somewhere
export BLUETOOTH_ADDRESS_BLIND_02="11:22:33:44:55:22"
export FINAL_LOW_POSITION_02=95

# blind somewhere
export BLUETOOTH_ADDRESS_BLIND_03="11:22:33:44:55:33"
export FINAL_LOW_POSITION_03=93

# blind somewhere
export BLUETOOTH_ADDRESS_BLIND_04="11:22:33:44:55:44"
export FINAL_LOW_POSITION_04=100

# blind somewhere
export BLUETOOTH_ADDRESS_BLIND_05="11:22:33:44:55:55"
export FINAL_LOW_POSITION_05=98


# stop everything if this script is stopped
trap "echo CTRL-C was pressed; killall blinds.sh; killall -9 gatttool" 2

rfkill unblock bluetooth
rmmod dvb_usb_rtl28xxu 2>/dev/null
export BLUETOOTH_DEVICE=$(hciconfig -a | grep -B1 " 00:1A:" | head -n 1 | sed 's|:.*||g')
hciconfig $BLUETOOTH_DEVICE up


function create_fifo_blinds() {
  for FIFO_NUMBER in $(seq 11 15);do
    if [ ! -e /tmp/blinds_$FIFO_NUMBER.fifo ];then
      mkfifo /tmp/blinds_$FIFO_NUMBER.fifo
      chmod 666 /tmp/blinds_$FIFO_NUMBER.fifo
    fi

    # connect the fifo with file descriptor
    eval "exec $FIFO_NUMBER<>/tmp/blinds_${FIFO_NUMBER}.fifo"
  done
}

create_fifo_blinds

killall blinds.sh 2>/dev/null

for BLINDS_NUMBER in $(seq 1 5);do
  ./blinds.sh $BLINDS_NUMBER > /dev/shm/blinds_$BLINDS_NUMBER.txt 2>&1 &

  # ./blinds.sh $BLINDS_NUMBER > /dev/null 2>&1 &
done

./receive_433_mhz.exp
